Select to view content in your preferred language

Another Pro 2.6 Clone problem

3480
13
08-04-2020 03:53 PM
JoeBorgione
MVP Emeritus

I can't recall how many times I've cloned python environments for ArcGIS pro and then added packages to them, but, this one takes the cake.

Using the ArcGIS pro package mis-manager I install spyder 3.something and spyder kernel 1.9.2 and upon launching spyder I get the 'Spyder has encountered an internal problem' window, telling me:

plugin = mod.PLUGIN_CLASS(self)
AttributeError: '_ModuleMock' object has no attribute 'PLUGIN_CLASS'

Well cowboy, this isn't my first rodeo (see _ModuleMock object has to attribute 'PLUGIN CLASS'  for example) so I open a python command window in my new clone and run 

conda update spyder

But, after that the sh## storm really starts.  I get another internal problem window with so many issues, I can't believe my eyes:

Here is the full list:

  File "C:\EnvClones\arcgispro26\lib\site-packages\spyder\plugins\editor\widgets\codeeditor.py", line 1393, in handle_hover_response
    self._request_hover_clicked)
TypeError: CodeEditor.sig_display_object_info[str, bool].emit(): argument 1 has unexpected type 'list'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\EnvClones\arcgispro26\lib\logging\__init__.py", line 994, in emit
    msg = self.format(record)
  File "C:\EnvClones\arcgispro26\lib\logging\__init__.py", line 840, in format
    return fmt.format(record)
  File "C:\EnvClones\arcgispro26\lib\logging\__init__.py", line 577, in format
    record.message = record.getMessage()
  File "C:\EnvClones\arcgispro26\lib\logging\__init__.py", line 338, in getMessage
    msg = msg % self.args
ValueError: incomplete format
Call stack:
  File "C:\EnvClones\arcgispro26\Scripts\spyder-script.py", line 10, in <module>
    sys.exit(main())
  File "C:\EnvClones\arcgispro26\lib\site-packages\spyder\app\start.py", line 219, in main
    mainwindow.main()
  File "C:\EnvClones\arcgispro26\lib\site-packages\spyder\app\mainwindow.py", line 3763, in main
    mainwindow = run_spyder(app, options, args)
  File "C:\EnvClones\arcgispro26\lib\site-packages\spyder\app\mainwindow.py", line 3679, in run_spyder
    app.exec_()
  File "C:\EnvClones\arcgispro26\lib\site-packages\spyder\plugins\completion\plugin.py", line 302, in <lambda>
    lambda: self.receive_timeout(req_id))
  File "C:\EnvClones\arcgispro26\lib\site-packages\spyder\plugins\completion\plugin.py", line 136, in receive_timeout
    self.howto_send_to_codeeditor(req_id)
  File "C:\EnvClones\arcgispro26\lib\site-packages\spyder\plugins\completion\plugin.py", line 177, in howto_send_to_codeeditor
    self.skip_and_send_to_codeeditor(req_id)
  File "C:\EnvClones\arcgispro26\lib\site-packages\spyder\plugins\completion\plugin.py", line 205, in skip_and_send_to_codeeditor
    self.gather_and_send_to_codeeditor(request_responses)
  File "C:\EnvClones\arcgispro26\lib\site-packages\spyder\plugins\completion\plugin.py", line 273, in gather_and_send_to_codeeditor
    response_instance.handle_response(req_type, responses)
  File "C:\EnvClones\arcgispro26\lib\site-packages\spyder\plugins\editor\widgets\codeeditor.py", line 1019, in handle_response
    handler(params)
  File "C:\EnvClones\arcgispro26\lib\site-packages\spyder\plugins\editor\widgets\codeeditor.py", line 1406, in handle_hover_response
    self.log_lsp_handle_errors("Error when processing hover")
  File "C:\EnvClones\arcgispro26\lib\site-packages\spyder\plugins\editor\widgets\codeeditor.py", line 1050, in log_lsp_handle_errors
    logger.error('%', 1, stack_info=True)
Message: '%'
Arguments: (1,)

I've wiped my previous environments (I'll remember what other package dependencies I need to fix tomorrow when my over night scripts fail).  I get the same lengthy list of issues if I do a straight conda install for spyder. 

And to think everything was going so well today too....

Suggestions? I guess I could uninstall ArcGIS Pro entirely, and reinstall, but then what's the point in 'upgrading'?

Dan Patterson

or

Dan Patterson

(I never know which of you is the right one...)

That should just about do it....
13 Replies
JoeBorgione
MVP Emeritus

Just to continue the discussion: Kory Kramer‌: are you hearing any more issues with installing the latest Spyder version for ArcGIS Pro 2.6?

That should just about do it....
0 Kudos
ErikLash1
Occasional Contributor

Pro 2.6 clean default environment from fresh install. Conda'd clone. Conda installed Spyder 4.1.4. Spyder generates errors. Same result when Spyder conda'd in default environment. 

0 Kudos
ErikLash1
Occasional Contributor

Got everything working in the clone. Found that in my clones something was going wrong with the installers - behavior was not as expected.

NodeJS was particularly troublesome. It was installing but the required updates to associated packages were not being installed no matter how I tried. It was also only able to install 14.9 even though I tried to force lower versions.

Ended up updating all packages in the default clone manually then trying nodejs again. At that point 10.13.0 installed and it all came together. No more npm errors. Able to get jupyter lab running properly. 

Then installed Spyder and Spyder Notebook. 

Everything working now but to get it working had to delete my older clones and the contents of C:\Users\user\AppData\Local\ESRI\conda\ and start over.

BTW: found that one of the problems I was encountering with Spyder was this bug in the hover tool. Simply disabled hover ability to fix. - Spyder 4.0.0 Tool Tips 

Thanks everyone who gave me assistance on this ...

0 Kudos
DanPatterson
MVP Esteemed Contributor

Erik Lash‌ next time you go to install, make sure you remove any vestiges of Pro AND conda.  Your comment about having extra clones that you have to remove is a warning that things could go wrong.  If you want them, move the folder and rename it for future salvage or deletion


... sort of retired...
0 Kudos